daily pastebin goal
11%
SHARE
TWEET

npm install

petypen Jul 5th, 2018 (edited) 213 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. PEN@PEN-PC c:\Google-Play-Music-Desktop-Player-UNOFFICIAL--appveyor                                                              
  2. > npm install                                                                                                                    
  3. npm WARN deprecated babel-preset-es2015@6.24.1: �  Thanks for using Babel: we recommend using babel-preset-env now: please read ba
  4. beljs.io/env to update!                                                                                                          
  5. npm WARN deprecated gulp-util@3.0.8: gulp-util is deprecated - replace it, following the guidelines at https://medium.com/gulpjs/g
  6. ulp-util-ca3b1f9f9ac5                                                                                                            
  7. npm WARN deprecated gulp-util@2.2.20: gulp-util is deprecated - replace it, following the guidelines at https://medium.com/gulpjs/
  8. gulp-util-ca3b1f9f9ac5                                                                                                            
  9. npm WARN deprecated wrench@1.5.9: wrench.js is deprecated! You should check out fs-extra (https://github.com/jprichardson/node-fs-
  10. extra) for any operations you were using wrench for. Thanks for all the usage over the years.                                    
  11. npm WARN deprecated graceful-fs@3.0.11: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node
  12. .js                                                                                                                              
  13. npm WARN deprecated graceful-fs@2.0.3: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.
  14. js                                                                                                                                
  15. npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue                      
  16. npm WARN deprecated tough-cookie@2.2.2: ReDoS vulnerability parsing Set-Cookie https://nodesecurity.io/advisories/130            
  17. npm WARN deprecated node-uuid@1.4.8: Use uuid module instead                                                                      
  18. npm WARN deprecated minimatch@0.2.14: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue                      
  19. npm WARN deprecated graceful-fs@1.2.3: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.
  20. js                                                                                                                                
  21.                                                                                                                                  
  22. > mdns@2.4.0 install c:\Google-Play-Music-Desktop-Player-UNOFFICIAL--appveyor\node_modules\mdns                                  
  23. > node-gyp rebuild                                                                                                                
  24.                                                                                                                                  
  25.                                                                                                                                  
  26. PEN@PEN-PC c:\Google-Play-Music-Desktop-Player-UNOFFICIAL--appveyor\node_modules\mdns                                            
  27. > if not defined npm_config_node_gyp (node "C:\Users\PEN\AppData\Roaming\npm\node_modules\npm\node_modules\npm-lifecycle\node-gyp-
  28. bin\\..\..\node_modules\node-gyp\bin\node-gyp.js" rebuild )  else (node "C:\Users\PEN\AppData\Roaming\npm\node_modules\npm\node_mo
  29. dules\node-gyp\bin\node-gyp.js" rebuild )                                                                                        
  30. gyp ERR! configure error                                                                                                          
  31. gyp ERR! stack Error: Can't find Python executable "C:\Users\PEN\AppData\Local\Programs\Python\Python36-32\python.EXE", you can se
  32. t the PYTHON env variable.                                                                                                        
  33. gyp ERR! stack     at Object.failNoPython (C:\Users\PEN\AppData\Roaming\npm\node_modules\npm\node_modules\node-gyp\lib\configure.j
  34. s:483:19)                                                                                                                        
  35. gyp ERR! stack     at Object.<anonymous> (C:\Users\PEN\AppData\Roaming\npm\node_modules\npm\node_modules\node-gyp\lib\configure.js
  36. :508:16)                                                                                                                          
  37. gyp ERR! stack     at C:\Users\PEN\AppData\Roaming\npm\node_modules\npm\node_modules\graceful-fs\polyfills.js:284:29              
  38. gyp ERR! stack     at FSReqWrap.oncomplete (fs.js:123:15)                                                                        
  39. gyp ERR! System Windows_NT 6.1.7601                                                                                              
  40. gyp ERR! command "C:\\Program Files\\nodejs\\node.exe" "C:\\Users\\PEN\\AppData\\Roaming\\npm\\node_modules\\npm\\node_modules\\no
  41. de-gyp\\bin\\node-gyp.js" "rebuild"                                                                                              
  42. gyp ERR! cwd c:\Google-Play-Music-Desktop-Player-UNOFFICIAL--appveyor\node_modules\mdns                                          
  43. gyp ERR! node -v v6.3.1                                                                                                          
  44. gyp ERR! node-gyp -v v3.6.2                                                                                                      
  45. gyp ERR! not ok                                                                                                                  
  46. npm WARN optional SKIPPING OPTIONAL DEPENDENCY: dbus@github:GPMDP/node-dbus#linux-only (node_modules\dbus):                      
  47. npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for dbus@0.2.18: wanted {"os":"linux","arch":"any"} (current: {
  48. "os":"win32","arch":"x64"})                                                                                                      
  49. npm WARN material-ui@0.15.4 requires a peer of react-tap-event-plugin@^1.0.0 but none is installed. You must install peer dependen
  50. cies yourself.                                                                                                                    
  51. npm WARN discord-rpc@3.0.0-beta.12 requires a peer of register-scheme@github:devsnek/node-register-scheme but none is installed. Y
  52. ou must install peer dependencies yourself.                                                                                      
  53. npm WARN optional SKIPPING OPTIONAL DEPENDENCY: mouse-forward-back@1.0.1 (node_modules\mouse-forward-back):                      
  54. npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for mouse-forward-back@1.0.1: wanted {"os":"linux","arch":"any"
  55. } (current: {"os":"win32","arch":"x64"})                                                                                          
  56. npm WARN optional SKIPPING OPTIONAL DEPENDENCY: electron-installer-redhat@0.3.1 (node_modules\electron-installer-redhat):        
  57. npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for electron-installer-redhat@0.3.1: wanted {"os":"darwin,linux
  58. ","arch":"any"} (current: {"os":"win32","arch":"x64"})                                                                            
  59. npm WARN optional SKIPPING OPTIONAL DEPENDENCY: electron-installer-debian@0.4.0 (node_modules\electron-installer-debian):        
  60. npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for electron-installer-debian@0.4.0: wanted {"os":"darwin,linux
  61. ","arch":"any"} (current: {"os":"win32","arch":"x64"})                                                                            
  62. npm WARN optional SKIPPING OPTIONAL DEPENDENCY: appdmg@0.4.5 (node_modules\appdmg):                                              
  63. npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for appdmg@0.4.5: wanted {"os":"darwin","arch":"any"} (current:
  64.  {"os":"win32","arch":"x64"})                                                                                                    
  65.                                                                                                                                  
  66. npm ERR! code ELIFECYCLE                                                                                                          
  67. npm ERR! errno 1                                                                                                                  
  68. npm ERR! mdns@2.4.0 install: `node-gyp rebuild`                                                                                  
  69. npm ERR! Exit status 1                                                                                                            
  70. npm ERR!                                                                                                                          
  71. npm ERR! Failed at the mdns@2.4.0 install script.                                                                                
  72. npm ERR! This is probably not a problem with npm. There is likely additional logging output above.                                
  73.                                                                                                                                  
  74. npm ERR! A complete log of this run can be found in:                                                                              
  75. npm ERR!     C:\Users\PEN\AppData\Roaming\npm-cache\_logs\2018-07-05T18_51_39_560Z-debug.log                                      
  76.                                                                                                                                  
  77. PEN@PEN-PC c:\Google-Play-Music-Desktop-Player-UNOFFICIAL--appveyor                                                              
  78. >
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
 
Top